CREATE TABLE fnd_user_preferences (
    ENTERPRISE_ID       NUMBER(18, 0) ,
    USER_NAME           VARCHAR2(1280),
    MODULE_NAME         VARCHAR2(120) ,
    PREFERENCE_NAME     VARCHAR2(120) ,
    PREFERENCE_VALUE    VARCHAR2(960) ,
    ENTERPRISE_ID       NUMBER(18, 0) ,
    USER_NAME           VARCHAR2(1280),
    MODULE_NAME         VARCHAR2(120) ,
    PREFERENCE_NAME     VARCHAR2(120) ,
    PREFERENCE_VALUE    VARCHAR2(960) ,
    CONSTRAINT pk_fnd_user_preferences PRIMARY KEY (ENTERPRISE_ID, USER_NAME, MODULE_NAME, PREFERENCE_NAME, ENTERPRISE_ID, USER_NAME, MODULE_NAME, PREFERENCE_NAME)
);
